AOZ Studio Beta - Bug #294

When compiling an .aoz file NOT called main.aoz, the VSCode IDE compiles main.aoz anyway.
03/06/2020 07:38 PM - Brian Flanagan

Status: Rejected Start date: 03/06/2020
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.7

Description

| did a "Save As" on main.aoz to create an alternate version of my program: Let's just say "Version2.aoz".
When | select Version2.aoz, so it is not the current document, and attempt to compile it, VSCode compiles main.aoz anyway.

History

#1 - 03/27/2020 05:39 AM - Brian Flanagan
- Affected version changed from 0.9.6 to 0.9.7

Changed from 0.9.6 to 0.9.7 Test 2.
This is still a problem.

#2 - 03/27/2020 08:08 AM - Francois Lionet

- Status changed from New to Rejected

In order to compile another file as main code, you have to have a specific manifest and indicate the name of the new file in it. Nothing has changed
since the start... don't you remember the manifest? ;)
